Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226152 - Merge Review: mod_auth_mysql
Summary: Merge Review: mod_auth_mysql
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:42 UTC by Nobody's working on this, feel free to take it
Modified: 2009-08-07 09:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-07 09:28:23 UTC
panemade: fedora-review+


Attachments (Terms of Use)
modified spec file (deleted)
2009-07-06 06:09 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:42:06 UTC
Fedora Merge Review: mod_auth_mysql

http://cvs.fedora.redhat.com/viewcvs/devel/mod_auth_mysql/
Initial Owner: jorton@redhat.com

Comment 1 Parag AN(पराग) 2009-07-06 06:03:06 UTC
staring review for this package.Also I would like to needinfo package owner so that he will not miss about this review.

Comment 2 Parag AN(पराग) 2009-07-06 06:09:46 UTC
Created attachment 350571 [details]
modified spec file 

Can you commit attached patch that fixes most of things according to packaging guidelines?

Comment 3 Parag AN(पराग) 2009-07-06 09:23:32 UTC
Comment on attachment 350571 [details]
modified spec file 

>--- mod_auth_mysql.spec	2009-02-26 07:23:21.000000000 +0530
>+++ mod_auth_mysql-new.spec	2009-07-06 11:33:45.000000000 +0530
>@@ -1,18 +1,18 @@
> Summary: Basic authentication for the Apache web server using a MySQL database
> Name: mod_auth_mysql
> Version: 3.0.0
>-Release: 8
>+Release: 9%{?dist}
> Epoch: 1
> Group: System Environment/Daemons
> URL: http://modauthmysql.sourceforge.net/
>-Source: mod_auth_mysql-%{version}.tar.gz
>+Source: http://downloads.sourceforge.net/modauthmysql/mod_auth_mysql-%{version}.tar.gz
> Source2: auth_mysql.conf
> Patch0: mod_auth_mysql-3.0.0-apr1x.patch
> Patch1: mod_auth_mysql-3.0.0-disable.patch
> License: ASL 1.1
> BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> BuildRequires: httpd-devel, mysql-devel
>-Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing httpd-devel)
>+Requires: httpd-mmn
> 
> %description
> mod_auth_mysql can be used to limit access to documents served by a
>@@ -28,17 +28,17 @@
>         -c %{name}.c -L%{_libdir}/mysql -lmysqlclient
> 
> %install
>-[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
>+rm -rf $RPM_BUILD_ROOT
> mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
> install -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
> 
> # Install the config file
> mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
>-install -m 644 $RPM_SOURCE_DIR/auth_mysql.conf \
>+install -p -m 644 %{SOURCE1} \
>    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
> 
> %clean
>-[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
>+rm -rf $RPM_BUILD_ROOT
> 
> %files
> %defattr(-,root,root)
>@@ -47,6 +47,9 @@
> %config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
> 
> %changelog
>+* Mon Jul 06 2009 Joe Orton <jorton@redhat.com> 1:3.0.0-9
>+- Spec cleanup
>+
> * Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.0.0-8
> - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
>

Comment 4 Parag AN(पराग) 2009-07-06 09:25:17 UTC
updated attachment as rpmlint complained on srpm that results to change
$RPM_SOURCE_DIR/auth_mysql.conf
to
%{SOURCE1}

as done in above comment.

Comment 5 Joe Orton 2009-07-13 12:31:19 UTC
Looks good other than:

>-Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing httpd-devel)
>+Requires: httpd-mmn

which is a regression - leave that line as-is.

Comment 6 Parag AN(पराग) 2009-07-14 13:51:35 UTC
(In reply to comment #5)
> Looks good other than:
> 
> >-Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing httpd-devel)
> >+Requires: httpd-mmn
> 
> which is a regression - leave that line as-is.  

I didn't get how is this regression and why we need that much long line in Requires?

As I am reviewing this package, I cannot apply changes to this package even if I don't need co-ownership for this package as I am in provenpackager group.

Can you commit changes then?

Comment 7 Parag AN(पराग) 2009-08-07 05:01:59 UTC
I guess I can commit as you have reviewed patch and allowed me to do so. Will commit now.

Comment 8 Parag AN(पराग) 2009-08-07 09:04:19 UTC
I have committed changes in cvs. Can you build new release in rawhide?

Comment 9 Parag AN(पराग) 2009-08-07 09:28:23 UTC
http://koji.fedoraproject.org/koji/buildinfo?buildID=126147
Package built in rawhide is now APPROVED.


Note You need to log in before you can comment on or make changes to this bug.